Bug 738564. (Av1b) Documentation improvements, Sync' TB minVer to '3.0', Revert maxVer to 'a1' syntax. r=gijskruitbosch.
authorSerge Gautherie <sgautherie.bz@free.fr>
Tue, 01 May 2012 09:59:37 +0200
changeset 844 f4c425795e994c13567a0fd011dcddb518936718
parent 841 bc430c9235af48e78e4253ac28525672f94c9f46
child 849 fbd950c4db03547af9b377eb79da768e39e179d1
push id158
push usersgautherie.bz@free.fr
push dateTue, 01 May 2012 08:12:57 +0000
reviewersgijskruitbosch
bugs738564
Bug 738564. (Av1b) Documentation improvements, Sync' TB minVer to '3.0', Revert maxVer to 'a1' syntax. r=gijskruitbosch.
locales/generic/install.rdf
xpi/resources/install.rdf
--- a/locales/generic/install.rdf
+++ b/locales/generic/install.rdf
@@ -1,71 +1,85 @@
 <?xml version="1.0"?>
-# This Source Code Form is subject to the terms of the Mozilla Public
-# License, v. 2.0. If a copy of the MPL was not distributed with this
-# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+<!-- This Source Code Form is subject to the terms of the Mozilla Public
+   - License, v. 2.0. If a copy of the MPL was not distributed with this
+   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->
 
 #filter substitution
 
-<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#">
+<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+     xmlns:em="http://www.mozilla.org/2004/em-rdf#">
   <Description about="urn:mozilla:install-manifest"
                em:id="@INSTALL_EXTENSION_ID@"
                em:name="JavaScript Debugger @MOZ_LANG_TITLE@ Language Pack"
                em:version="@VENKMAN_VERSION@"
                em:type="8"
                em:creator="@MOZ_LANGPACK_CREATOR@"
                em:homepageURL="@MOZ_LANGPACK_HOMEPAGE@">
 #ifdef MOZ_LANGPACK_CONTRIBUTORS
     @MOZ_LANGPACK_CONTRIBUTORS@
 #endif
 
-    <!-- require Javascript Debugger (ignored on Gecko <= 1.8.*) -->
+    <!-- Require Javascript Debugger. -->
     <em:requires>
       <Description>
         <em:id>{f13b157f-b174-47e7-a34d-4815ddfdfeb8}</em:id>
         <em:minVersion>@VENKMAN_BASE_VERSION@</em:minVersion>
         <em:maxVersion>@VENKMAN_BASE_VERSION@.*</em:maxVersion>
       </Description>
     </em:requires>
 
-    <!-- target: Mozilla Firefox, version 3.5 and later -->
+    <!-- BEGIN COPY BETWEEN /xpi/resources/install.rdf AND /locales/generic/install.rdf -->
+    <!-- Venkman supports Gecko 1.9.1 and higher.
+         All applications listed below are the subset of supported versions
+         which also use an appropriate version of Gecko. -->
+    <!-- For maxVersion of applications that follow the rapid cycle pattern,
+         use '(x)a1' (*-central) on default,
+         and '(x-1).*' (*-aurora/beta/release) for branches. -->
+
+    <!-- Firefox
+         version 3.5 and higher -->
     <em:targetApplication>
       <Description>
         <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
         <em:minVersion>3.5</em:minVersion>
         <em:maxVersion>15.0a1</em:maxVersion>
       </Description>
     </em:targetApplication>
 
-    <!-- target: Mozilla Thunderbird, version 3 and later -->
+    <!-- SeaMonkey
+         version 2.0 and higher -->
     <em:targetApplication>
       <Description>
-        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
-        <em:minVersion>3.0</em:minVersion>
+        <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
+        <em:minVersion>2.0</em:minVersion>
         <em:maxVersion>15.0a1</em:maxVersion>
       </Description>
     </em:targetApplication>
 
-    <!-- target: SeaMonkey version 2.0 and later -->
+    <!-- Thunderbird
+         version 3.0 and higher -->
     <em:targetApplication>
       <Description>
-        <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
-        <em:minVersion>2.0</em:minVersion>
+        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
+        <em:minVersion>3.0</em:minVersion>
         <em:maxVersion>2.12a1</em:maxVersion>
       </Description>
     </em:targetApplication>
 
-    <!-- target: Gecko Toolkit version 1.9.1 and later -->
+    <!-- Gecko Toolkit
+         version 1.9.1 and higher -->
     <em:targetApplication>
       <Description>
         <em:id>toolkit@mozilla.org</em:id>
         <em:minVersion>1.9.1</em:minVersion>
         <em:maxVersion>15.0a1</em:maxVersion>
       </Description>
     </em:targetApplication>
+    <!-- END COPY BETWEEN /xpi/resources/install.rdf AND /locales/generic/install.rdf -->
 
     <!-- package files -->
     <em:file>
       <Description about="urn:mozilla:extension:file:venkman.jar">
         <em:locale>locale/@AB_CD@/venkman/</em:locale>
       </Description>
     </em:file>
   </Description>
--- a/xpi/resources/install.rdf
+++ b/xpi/resources/install.rdf
@@ -1,56 +1,70 @@
 <?xml version="1.0"?>
 <!-- This Source Code Form is subject to the terms of the Mozilla Public
    - License, v. 2.0. If a copy of the MPL was not distributed with this
    - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->
 
 #filter substitution
 
-<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#">
+<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+     xmlns:em="http://www.mozilla.org/2004/em-rdf#">
   <Description about="urn:mozilla:install-manifest">
     <!-- core data -->
     <em:id>{f13b157f-b174-47e7-a34d-4815ddfdfeb8}</em:id>
     <em:version>@VENKMAN_VERSION@</em:version>
 
-    <!-- target: Mozilla Firefox, version 3.5 and later -->
+    <!-- BEGIN COPY BETWEEN /xpi/resources/install.rdf AND /locales/generic/install.rdf -->
+    <!-- Venkman supports Gecko 1.9.1 and higher.
+         All applications listed below are the subset of supported versions
+         which also use an appropriate version of Gecko. -->
+    <!-- For maxVersion of applications that follow the rapid cycle pattern,
+         use '(x)a1' (*-central) on default,
+         and '(x-1).*' (*-aurora/beta/release) for branches. -->
+
+    <!-- Firefox
+         version 3.5 and higher -->
     <em:targetApplication>
       <Description>
         <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
         <em:minVersion>3.5</em:minVersion>
         <em:maxVersion>15.0a1</em:maxVersion>
       </Description>
     </em:targetApplication>
 
-    <!-- target: Mozilla Thunderbird, version 3 and later -->
+    <!-- SeaMonkey
+         version 2.0 and higher -->
     <em:targetApplication>
       <Description>
-        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
-        <em:minVersion>3</em:minVersion>
+        <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
+        <em:minVersion>2.0</em:minVersion>
         <em:maxVersion>15.0a1</em:maxVersion>
       </Description>
     </em:targetApplication>
 
-    <!-- target: SeaMonkey version 2.0 and later -->
+    <!-- Thunderbird
+         version 3.0 and higher -->
     <em:targetApplication>
       <Description>
-        <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
-        <em:minVersion>2.0</em:minVersion>
+        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
+        <em:minVersion>3.0</em:minVersion>
         <em:maxVersion>2.12a1</em:maxVersion>
       </Description>
     </em:targetApplication>
 
-    <!-- target: Gecko Toolkit version 1.9.1 and later -->
+    <!-- Gecko Toolkit
+         version 1.9.1 and higher -->
     <em:targetApplication>
       <Description>
         <em:id>toolkit@mozilla.org</em:id>
         <em:minVersion>1.9.1</em:minVersion>
         <em:maxVersion>15.0a1</em:maxVersion>
       </Description>
     </em:targetApplication>
+    <!-- END COPY BETWEEN /xpi/resources/install.rdf AND /locales/generic/install.rdf -->
 
     <!-- front-end metadata -->
     <em:name>JavaScript Debugger</em:name>
     <em:description>JavaScript debugger and profiler</em:description>
     <em:creator>Robert Ginda</em:creator>
     <em:contributor>Christopher Aillon</em:contributor>
     <em:contributor>James Ross</em:contributor>
     <em:contributor>Gijs Kruitbosch</em:contributor>